<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Systems/Bot/BotFSM.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d0a/_bot_f_s_m_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">BotFSM.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d0a/_bot_f_s_m_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/deb/namespace_3global_scope_4.html">    1</a></span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dc/d0a/_bot_f_s_m_8c.html">    4</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#d3/dd9/class_bot_f_s_m">BotFSM</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#dd/d73/class_h_f_s_m_base">HFSMBase</a>&lt;BotStateBase, BotEventBase, BotActionBase, BotGuardBase&gt;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>{ };</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">    7</a></span><span class="keyword">typedef</span> <a class="code hl_class" href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition&lt;BotStateBase, BotEventBase, BotActionBase, BotGuardBase&gt;</a> <a class="code hl_typedef" href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a>; </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span> </div>
<div class="ttc" id="a_bot_f_s_m_8c_html_ae0f31efa3104368661141b422545f27c"><div class="ttname"><a href="../../dc/d0a/_bot_f_s_m_8c.html#ae0f31efa3104368661141b422545f27c">BotTransition</a></div><div class="ttdeci">FSMTransition&lt; BotStateBase, BotEventBase, BotActionBase, BotGuardBase &gt; BotTransition</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d0a/_bot_f_s_m_8c_source.html#l00007">BotFSM.c:7</a></div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_d3/dd9/class_bot_f_s_m"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#d3/dd9/class_bot_f_s_m">BotFSM</a></div><div class="ttdoc">Bot Finite State Machine (Hierarchical)</div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_d8/d41/class_f_s_m_transition"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition</a></div><div class="ttdoc">represents transition src -— event[guard]/action -—|&gt; dst</div></div>
<div class="ttc" id="anamespace_3global_scope_4_html_dd/d73/class_h_f_s_m_base"><div class="ttname"><a href="../../d0/deb/namespace_3global_scope_4.html#dd/d73/class_h_f_s_m_base">HFSMBase</a></div><div class="ttdoc">base class for hierarchic finite state machine</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_fb922471f7527a278c6309872d86c75c.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_39d73f2d5d370a78e7bd95801ee9f1ae.html">Bot</a></li><li class="navelem"><a class="el" href="../../dc/d0a/_bot_f_s_m_8c.html">BotFSM.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
